Subject: Re: [PATCH] bonding: send IPv6 neighbor advertisement on failover

From: Vlad Yasevich <[email-masked]>
Date: Wed, 08 Oct 2008 14:08:12 -0400

David Stevens wrote:
> Brian,
>         I'll make the same comment I did in the earlier version,
> which is I don't think we need a new control for the count. Instead,
> it should use the count for unsolicited NA's we send when adding
> an address. It is the same case, really, and I, FWIW, would rather
> we didn't have any more sysctl's than we need.
> 
>                                                 +-DLS
> 

Are you referring to 'dad_transmits' because I don't see any sysctls
that control the number of unsolicited NAs.  In fact, in normal operations
we don't send any unsolicited NAs at all.

This functionality effectively duplicates the gratuitous arps controls on the
bond.

-vlad